io.etcd.jetcd.api

## Interface AuthRoleRevokePermissionRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthRoleRevokePermissionRequest, AuthRoleRevokePermissionRequest.Builder

    public interface AuthRoleRevokePermissionRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getKey()` `string key = 2;`
`com.google.protobuf.ByteString` `getKeyBytes()` `string key = 2;`
`String` `getRangeEnd()` `string range_end = 3;`
`com.google.protobuf.ByteString` `getRangeEndBytes()` `string range_end = 3;`
`String` `getRole()` `string role = 1;`
`com.google.protobuf.ByteString` `getRoleBytes()` `string role = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getRole

    String getRole()

`string role = 1;`

Returns:
  The role.

#### getRoleBytes

    com.google.protobuf.ByteString getRoleBytes()

`string role = 1;`

Returns:
  The bytes for role.

#### getKey

    String getKey()

`string key = 2;`

Returns:
  The key.

#### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

`string key = 2;`

Returns:
  The bytes for key.

#### getRangeEnd

    String getRangeEnd()

`string range_end = 3;`

Returns:
  The rangeEnd.

#### getRangeEndBytes

    com.google.protobuf.ByteString getRangeEndBytes()

`string range_end = 3;`

Returns:
  The bytes for rangeEnd.